Subject: home: services: openssh: identity-file could be a list of strings.

From: Oleg Pykhalov <[email-masked]>
Date: Sun, 19 Jun 2022 10:39:37 +0300

Currently ‘identity-file’ in ‘openssh-host’ record is a ‘maybe-string’,
but it could be a list, which generates a config like:

Host example.org
  …
  IdentityFile ~/.ssh/id_rsa_1
  IdentityFile ~/.ssh/id_rsa_2
  IdentityFile ~/.ssh/id_rsa_3

SSH_CONFIG(5) man page:
     IdentityFile
             …
             It is possible to have multiple identity files specified in con‐
             figuration files; all these identities will be tried in sequence.
             Multiple IdentityFile directives will add to the list of identi‐
             ties tried (this behaviour differs from that of other configura‐
             tion directives).

Personally I use more than one ‘IdentityFile’ as a workaround to define
a big ‘ssh_config’.  SSH connects with a first successed ‘IdentityFile’.

Oleg.